Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.converters
Class ConverterFacade

    java.lang.Object
      |
      +--org.apache.commons.beanutils.converters.ConverterFacade

All Implemented Interfaces:
  Converter

public final class ConverterFacade
extends java.lang.Object
implements Converter

Provides a facade for `Converter` implementations preventing access to any public API in the implementation, other than that specified by `Converter`.

This implementation can be used to prevent registered `Converter` implementations that provide configuration options from being retrieved and modified.

Since:
  1.8.0
Version:
  $Revision: 552084 $ $Date: 2007-06-30 04:04:13 +0100 (Sat, 30 Jun 2007) $

Constructor Summary
`ConverterFacade(Converter converter)` Construct a converter which delegates to the specified `Converter` implementation.

Method Summary
`java.lang.Object` | `convert(java.lang.Class type, java.lang.Object value)` Convert the input object into an output object of the specified type by delegating to the underlying `Converter` implementation.
`java.lang.String` | `toString()` Provide a String representation of this facade implementation sand the underlying `Converter` it delegates to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConverterFacade

    public ConverterFacade(Converter converter)

  Construct a converter which delegates to the specified `Converter` implementation.
  Parameters:
    `converter` - The converter to delegate to

Method Detail

### convert

    public java.lang.Object convert(java.lang.Class type,
                                    java.lang.Object value)

  Convert the input object into an output object of the specified type by delegating to the underlying `Converter` implementation.
  Specified by:
    `convert` in interface `Converter`
  Parameters:
    `type` - Data type to which this value should be converted
    `value` - The input value to be converted
  Returns:
    The converted value.

### toString

    public java.lang.String toString()

  Provide a String representation of this facade implementation sand the underlying `Converter` it delegates to.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of this facade implementation sand the underlying `Converter` it delegates to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.